function [] = paramFindPlots(file, yl)

results = csvread(file, 1, 0);

results(:,1) = log10(results(:,1));
if (yl == 'log_{10}(C)')
    results(:,2) = log10(results(:,2));
else
    results(:,2) = results(:,2);
end

% results(:,1) = results(:,1) + abs(min(results(:,1)));
% results(:,2) = results(:,2) + abs(min(results(:,2)));

[~, ind] = sort(results(:,1));

results(:) = results(ind,:);

sizeX = length(unique(results(:,1)));
sizeY = length(unique(results(:,2)));

xIndices = sort(unique(results(:,1)));
yIndices = sort(unique(results(:,2)));

valuesSens = zeros(sizeX, sizeY);
valuesSpec = zeros(sizeX, sizeY);

for i = 1:size(results,1)
    valuesSens(find(xIndices == results(i,1)),find(yIndices == results(i,2))) = results(i,3);
    valuesSpec(find(xIndices == results(i,1)),find(yIndices == results(i,2))) = results(i,4);
end
valuesSens = valuesSens';
valuesSpec = valuesSpec';

xMax = max(xIndices);
yMax = max(yIndices);

xMin = min(xIndices);
yMin = min(yIndices);

figure('Position', [100, 100, 700, 700]);
imagesc([xMin xMax],[yMin yMax], valuesSens, [0 1])
colormap hot
colorbar
xlabel('log_{10}(\gamma)')
ylabel(yl)


figure('Position', [100, 100, 700, 700]);
imagesc([xMin xMax],[yMin yMax], valuesSpec, [0 1])
colormap hot
colorbar
xlabel('log_{10}(\gamma)')
ylabel(yl)


figure('Position', [100, 100, 700, 700]);
imagesc([xMin xMax],[yMin yMax], valuesSpec + valuesSens, [0 2])
colormap hot
colorbar
xlabel('log_{10}(\gamma)')
ylabel(yl)

end
